BasicRadioButtonMenuItemUI (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicRadioButtonMenuItemUI
Keywords: javax.swing.plaf.basic.BasicRadioButtonMenuItemUI class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicRadioButtonMenuItemUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.MenuItemUI
javax.swing.plaf.basic.BasicMenuItemUI
javax.swing.plaf.basic.BasicRadioButtonMenuItemUI

    public class BasicRadioButtonMenuItemUI
    extends BasicMenuItemUI

BasicRadioButtonMenuItem implementation

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicMenuItemUI

  `BasicMenuItemUI.MouseInputHandler`

- ## Field Summary

  ### Fields declared in class javax.swing.plaf.basic.BasicMenuItemUI

  `acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BasicRadioButtonMenuItemUI()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ComponentUI` | `createUI​(JComponent b)` | Returns a new instance of `BasicRadioButtonMenuItemUI`.
  `void` | `processMouseEvent​(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)` | Invoked when mouse event occurs.

  ### Methods declared in class javax.swing.plaf.basic.BasicMenuItemUI

  `createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getPath, getPreferredMenuItemSize, getPropertyPrefix, installComponents, installDefaults, installKeyboardActions, installListeners, paintBackground, paintMenuItem, paintText, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, update`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicRadioButtonMenuItemUI

    public BasicRadioButtonMenuItemUI()

- ## Method Details

  - ### createUI

    public static ComponentUI createUI​(JComponent b)
    Returns a new instance of `BasicRadioButtonMenuItemUI`.
    Parameters:
      `b` - a component
    Returns:
      a new instance of `BasicRadioButtonMenuItemUI`

  - ### processMouseEvent

    public void processMouseEvent​(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)
    Invoked when mouse event occurs.
    Parameters:
      `item` - a menu item
      `e` - a mouse event
      `path` - an array of `MenuElement`
      `manager` - an instance of `MenuSelectionManager`